<?php  $scrpt_vrsn_dt  = 'PWS_mesonet.php|00|2020-07-05|';   # 2007 version added last modified header
header('Content-type: text/plain; charset=UTF-8');
#-----------------------------------------------
#         PWS-Dashboard - Updates and support by 
#     Wim van der Kuil https://pwsdashboard.com/
#-----------------------------------------------
#       display source of script if requested so
#-----------------------------------------------
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   $filenameReal = __FILE__;   
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;}
elseif (!isset ($_REQUEST['test'])) 
     {  ini_set('display_errors', 0); error_reporting(0);}
else {  ini_set('display_errors', 1); error_reporting(1);}  
#
#-----------------------------------------------
#                       load latest station data
$scrpt          = 'PWS_livedata.php'; 
if (!file_exists ($scrpt) ) {$scrpt = 'w34_livedata.php';}
#
$stck_lst      .= basename(__FILE__).' ('.__LINE__.') include_once =>'.$scrpt.PHP_EOL;
include_once $scrpt;     #   echo '<pre>'.print_r($weather,true); exit;
#
#-----------------------------------------------
#        check age of raw data for pws-dashboard
$link           =  str_replace (PHP_EOL,'|',$weather['loaded_from']);
list ($link)    =  explode ('|',$link);
#
if (file_exists ($link) ) 
     {  $last_modified_time   = filemtime ($link);}
else {  $last_modified_time   = time();}
#
#-----------------------------------------------
#
header('Cache-Control: must-revalidate');
header('Last-Modified: ' . gmdate('D, d M Y H:i:s T', $last_modified_time));
#
$windlabel      = array ('N','NNE', 'NE', 'ENE', 'E', 'ESE', 'SE', 'SSE', 'S',
		         'SSW','SW', 'WSW', 'W', 'WNW', 'NW', 'NNW');

$ms_string      = '';
$ms_string      .= date('H:i:s',$weather['datetime']) . ','; 
$ms_string      .= date('d/m/Y',$weather['datetime']) . ','; 
$ms_string      .= $weather['temp'] . ',';       
$ms_string      .= $weather['heat_index'] . ','; 
$ms_string      .= $weather['windchill'] . ','; 
$ms_string      .= $weather['humidity'] . ',';  
$ms_string      .= $weather['dewpoint'] . ',';  
$ms_string      .= $weather['barometer'] . ','; 
$ms_string      .= $weather['barometer_trend'] . ','; 
$ms_string      .= $weather['wind_speed'] . ','; 
$ms_string      .= $windlabel[ fmod((((int)$weather['wind_direction'] + 11) / 22.5),16) ] . ','; 
$ms_string      .= $weather['rain_today'] . ',';
$ms_string      .= ',';                                 #current conditions,
$ms_string      .= date('H:i',$sunrs2) . ',';      
$ms_string      .= date('H:i',$suns2) . ',';     
$ms_string      .= $weather['wind_speed'] . ',';     
$ms_string      .= $weather['wind_gust_speed'] . ',';     
$ms_string      .= $weather["temp_units"].'|'
                  .$weather["wind_units"].'|'
                  .$weather["barometer_units"].'|'
                  .$weather["rain_units"];       
echo $ms_string;
